Subject: Re: bug#73984: Compiler/interpreter doesn't handle the macro defined after it's used

From: "Thompson, David" <[email-masked]>
Date: Thu, 24 Oct 2024 10:49:36 -0400

Hi Artyom,

On Thu, Oct 24, 2024 at 8:47 AM Artyom Bologov <[email-masked]> wrote:
>
> Hello y'all,
>
> So I'm working on a project with a moderate amount of macros and some
> tangled code paths. Which often means I have non-linear and
> hard-to-figure-out inter-dependencies between pieces of code. One of
> them bit me today: a macro that was defined after a procedure it was
> used in, resulted in an "Unbound variable" error when the procedure was
> called. The procedure was called long after the macro was finally
> defined, so it shouldn't have been a problem.

I don't think this is a bug. In my experience, macro definitions must
precede uses.

- Dave